Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.rfid.workflow.epcis
Class ReconciliationResult

    java.lang.Object
      com.bea.rfid.workflow.epcis.ReconciliationResult

    public class ReconciliationResult

extends Object

Utility class to hold Aggregation event reconciliation result

Constructor Summary
`ReconciliationResult()`
`ReconciliationResult(boolean parentMatched, boolean childrenMatched, Manifest missingEntries, Manifest extraEntries)`

Method Summary
`boolean` | `getChildrenMatched()`
`Manifest` | `getExtraEntries()`
`Manifest` | `getMissingEntries()`
`boolean` | `getParentMatched()`
`void` | `setChildrenMatched(boolean childrenMatched)`
`void` | `setExtraEntries(Manifest extraEntries)`
`void` | `setMissingEntries(Manifest missingEntries)`
`void` | `setParentMatched(boolean parentMatched)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReconciliationResult

    public ReconciliationResult()

### ReconciliationResult

    public ReconciliationResult(boolean parentMatched,
                                boolean childrenMatched,
                                Manifest missingEntries,
                                Manifest extraEntries)

Method Detail

### getChildrenMatched

    public boolean getChildrenMatched()

### setChildrenMatched

    public void setChildrenMatched(boolean childrenMatched)

### getExtraEntries

    public Manifest getExtraEntries()

### setExtraEntries

    public void setExtraEntries(Manifest extraEntries)

### getMissingEntries

    public Manifest getMissingEntries()

### setMissingEntries

    public void setMissingEntries(Manifest missingEntries)

### getParentMatched

    public boolean getParentMatched()

### setParentMatched

    public void setParentMatched(boolean parentMatched)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD